# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bundler/shellsplit_plugin/version'

Gem::Specification.new do |spec|
  spec.name          = 'bundler-shellsplit-plugin'
  spec.version       = Bundler::ShellsplitPlugin::VERSION
  spec.authors       = ['Marissa Staib']
  spec.email         = ['marissa.staib@wovn.io']

  spec.summary       = 'Plugin to fix shell splitting of bundle config ' \
      'arguments in Bundler 1.17.3 to Bundler 2.0.2, fixed in Bundler 2.1.0.'
  spec.description   = 'Plugin to fix shell splitting of bundle config ' \
      'arguments in Bundler 1.17.3 to Bundler 2.0.2, fixed in Bundler 2.1.0. ' \
      'In the affected versions, multiple arguments to bundle config become ' \
      'a single argument with spaces. This plugin reverses that ' \
      'transformation. Adapted from https://github.com/' \
      'rubygems/bundler/issues/6940#issuecomment-470643613 and fixes ' \
      'https://github.com/rubygems/bundler/issues/6940 ' \
      'for these older versions.'
  spec.homepage      = 'https://github.com/wovnio/bundler-shellsplit-plugin'
  spec.license       = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['homepage_uri'] = spec.homepage
    spec.metadata['source_code_uri'] = 'https://github.com/wovnio/bundler-shellsplit-plugin'
    spec.metadata['changelog_uri'] = 'https://github.com/wovnio/bundler-shellsplit-plugin/blob/master/CHANGELOG.md'
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added
  # into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'bundler'
  spec.add_development_dependency 'rake', '~> 10.0'
end
